## kbtin 1.0.14

=== debian/changelog ===
kbtin (1.0.14-1) unstable; urgency=low

  * New upstream release.
  * Convert to dh style debian/rules.
  * Move the main executable to /usr/bin, as some secondary uses have a valid
    reason to be run by root.
  * Initial Debian release (closes: #213361).

 -- Adam Borowski <kilobyte@angband.pl>  Sun, 23 Dec 2012 18:10:01 +0100

kbtin (1.0.13.1-2) unstable; urgency=low

  * Fix testsuite failure on chroots with unset time zone.

 -- Adam Borowski <kilobyte@angband.pl>  Thu, 13 May 2010 23:07:55 +0200

kbtin (1.0.13.1-1) unstable; urgency=low

  * New upstream release (irrelevant to Debian).

 -- Adam Borowski <kilobyte@angband.pl>  Sat, 25 Jul 2009 05:19:02 +0200

kbtin (1.0.13-1) unstable; urgency=low

  * New upstream release.

 -- Adam Borowski <kilobyte@angband.pl>  Fri, 20 Jun 2008 17:11:37 +0200

kbtin (1.0.12-1) unstable; urgency=low

  * New upstream release
  * Delete config.{guess,sub,rpath}, use them from autotools-dev and gettext.
  * Move main binaries to /usr/games.
  * ... but not log converters.  Hush lintian's warning about this.

 -- Adam Borowski <kilobyte@angband.pl>  Sat, 15 Mar 2008 02:52:25 +0100

kbtin (1.0.11-1) unstable; urgency=low

  * New upstream release.
  * Man pages are updated.

 -- Adam Borowski <kilobyte@angband.pl>  Tue,  4 Sep 2007 03:16:56 +0200

kbtin (1.0.10svn89-1) unstable; urgency=low

  * New SVN pull.

 -- Adam Borowski <kilobyte@angband.pl>  Thu, 21 Jun 2007 01:13:04 +0200

kbtin (1.0.10-1) unstable; urgency=low

  * New upstream release.

 -- Adam Borowski <kilobyte@angband.pl>  Sat, 02 Jun 2007 13:10:45 +0200

kbtin (1.0.9-1) unstable; urgency=low

  * New upstream release.

 -- Adam Borowski <kilobyte@angband.pl>  Sat, 24 Feb 2007 19:13:48 +0100

kbtin (1.0.8-1) unstable; urgency=low

  * New upstream release.

 -- Adam Borowski <kilobyte@angband.pl>  Sat, 11 Nov 2006 18:52:43 +0100

kbtin (1.0.7-1) unstable; urgency=low

  * New upstream release.

 -- Adam Borowski <kilobyte@angband.pl>  Thu,  6 Apr 2006 01:44:41 +0200

kbtin (1.0.6a-1) unstable; urgency=low

  * An upstream regression fix.

 -- Adam Borowski <kilobyte@mimuw.edu.pl>  Thu, 24 Mar 2005 18:39:18 +0100

kbtin (1.0.6-1) unstable; urgency=low

  * New upstream release.

 -- Adam Borowski <kilobyte@mimuw.edu.pl>  Tue, 22 Mar 2005 21:05:33 +0100

kbtin (1.0.5-2) unstable; urgency=low

  * Tossed in a menu icon.

 -- Adam Borowski <kilobyte@mimuw.edu.pl>  Sun,  1 Feb 2004 01:13:43 +0100

kbtin (1.0.5-1) unstable; urgency=low

  * New upstream release.
  * Added menu entry.
  * Included terminfo definition for TERM="KBtin".

 -- Adam Borowski <kilobyte@mimuw.edu.pl>  Mon, 29 Sep 2003 03:15:22 -0400

kbtin (1.0.4-1) unstable; urgency=low

  * Initial SourceForge release.

 -- Adam Borowski <kilobyte@mimuw.edu.pl>  Mon,  5 May 2003 09:31:35 +0200
