=== debian/control ===
Source: kbtin
Section: text
Priority: optional
Maintainer: Adam Borowski <kilobyte@angband.pl>
Build-Depends: debhelper (>> 9.0.0), locales, libz-dev, libglib2.0-dev (>= 2.10), gettext, autoconf, autotools-dev, libgnutls-dev
Standards-Version: 3.9.4
Homepage: http://kbtin.sourceforge.net/

Package: kbtin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: tintin++ style text-based MUD client
 KBtin is a console MUD client based on the once-popular tintin++.
 It is not limited for mudding, and can be used for running line-based local
 programs like adventure, mysqlclient, dpkg-buildpackage or piuparts.
