=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --parallel

override_dh_auto_build:
	dh_auto_build
	$(MAKE) manual.html

override_dh_auto_test:
ifeq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
	sh debian/locale-gen
	LOCPATH=$(CURDIR)/locales $(MAKE) check || debian/rules testfail
else
	@echo Suppressing 'make check', because this is a cross build
endif

testfail:
	@echo "!!!TESTS FAILED!!!"
	@cat tests/testsuite.log
	@false

override_dh_auto_install:
	$(MAKE) install DESTDIR=$(CURDIR)/debian/kbtin
	$(MAKE) install-terminfo DESTDIR=$(CURDIR)/debian/kbtin TERMINFODIR=/usr/share/terminfo
	dh_install debian/kbtin.xpm /usr/share/pixmaps/

override_dh_auto_clean:
	rm -rf locales
	rm -f tests/tests.at
	dh_auto_clean
