## kbtin 1.0.15

=== debian/changelog ===
kbtin (1.0.15-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rebuild against libgnutls28-dev. Closes: #753100

 -- Andreas Metzler <ametzler@debian.org>  Sun, 03 Aug 2014 16:02:40 +0200

kbtin (1.0.15-1) unstable; urgency=medium

  * New upstream release.
  * Fix FTBFS on big endian (closes: #748228), and on kfreebsd.
  * Force spammy build output.

 -- Adam Borowski <kilobyte@angband.pl>  Thu, 15 May 2014 23:10:38 +0200
