=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 	dh $@ --parallel
 
 override_dh_auto_build:
-	dh_auto_build
+	V=y dh_auto_build
 	$(MAKE) manual.html
 
 override_dh_auto_test:
