=== debian/control ===
--- 
+++ 
@@ -2,9 +2,12 @@
 Section: text
 Priority: optional
 Maintainer: Adam Borowski <kilobyte@angband.pl>
-Build-Depends: debhelper (>> 9.0.0), locales, libz-dev, libglib2.0-dev (>= 2.10), gettext, autoconf, autotools-dev, libgnutls28-dev
-Standards-Version: 3.9.5
+Build-Depends: debhelper (>> 9.0.0), libz-dev, libglib2.0-dev (>= 2.10),
+ gettext, libgnutls28-dev, dh-autoreconf
+Standards-Version: 3.9.7
 Homepage: http://kbtin.sourceforge.net/
+Vcs-Git: https://github.com/kilobyte/kbtin.git -b debian
+Vcs-Browser: https://github.com/kilobyte/kbtin/tree/debian
 
 Package: kbtin
 Architecture: any
