## kbtin 1.0.17

=== debian/changelog ===
kbtin (1.0.17-1) unstable; urgency=medium

  * New upstream release.
  * Split out ansi2html, ansi2txt, ttyrec2ansi, (new) pipetty to a new
    package "colorized-logs".

 -- Adam Borowski <kilobyte@angband.pl>  Mon, 29 Aug 2016 17:12:51 +0200
