=== debian/control ===
Source: kbtin
Section: text
Priority: optional
Maintainer: Adam Borowski <kilobyte@angband.pl>
Build-Depends: debhelper (>> 9.0.0), libz-dev, libglib2.0-dev (>= 2.10),
 gettext, libgnutls28-dev, dh-autoreconf
Standards-Version: 3.9.8
Homepage: http://kbtin.sourceforge.net/
Vcs-Git: https://github.com/kilobyte/kbtin.git -b debian
Vcs-Browser: https://github.com/kilobyte/kbtin/tree/debian

Package: kbtin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: colorized-logs
Description: tintin++ style text-based MUD client
 KBtin is a console MUD client based on the once-popular tintin++.
 It is not limited for mudding, and can be used for running line-based local
 programs like adventure, mysqlclient, dpkg-buildpackage or piuparts.

Package: colorized-logs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: kbtin (<< 1.0.17)
Suggests: colordiff, colormake, ccze, colortail
Description: tools for consuming logs with ANSI color
 Some tools like gcc, dmesg, grep --color, colordiff, ccze, etc can enhance
 their output with color, making reading a lot more pleasant.  You can
 usually view that only on your terminal or with "less -R"; this package
 gives you:
  * ansi2html: convert logs to HTML
  * ansi2txt: drop ANSI control codes
  * ttyrec2ansi: drop timing data from ttyrec files
  * pipetty: makes a program think its stdout and stderr are connected to a
    terminal; use as a prefix: "pipetty dmesg|tee"
