=== debian/watch ===
version=3
http://sf.net/kbtin/kbtin-(.+)\.tar\.xz
