## kbtin 1.0.18

=== debian/changelog ===
kbtin (1.0.18-3) unstable; urgency=medium

  * Drop Build-Conflicts on fakeroot.

 -- Adam Borowski <kilobyte@angband.pl>  Sun, 21 Jan 2018 23:14:18 +0100

kbtin (1.0.18-2) unstable; urgency=medium

  * R³.
  * Revert correct 256-color palette, makes screen fugly.
  * dh 11.

 -- Adam Borowski <kilobyte@angband.pl>  Thu, 18 Jan 2018 00:18:48 +0100

kbtin (1.0.18-1) unstable; urgency=medium

  * New upstream release.
  * Drop colorized-logs, it's a separate source now.
  * Check the tarball's signature.

 -- Adam Borowski <kilobyte@angband.pl>  Sun, 22 Oct 2017 02:15:20 +0200
