=== debian/control ===
Source: kbtin
Section: text
Priority: optional
Maintainer: Adam Borowski <kilobyte@angband.pl>
Build-Depends: debhelper (>= 11~), libz-dev, libglib2.0-dev (>= 2.10),
 gettext, libgnutls28-dev
Standards-Version: 4.1.3
Homepage: http://kbtin.sourceforge.net/
Vcs-Git: https://github.com/kilobyte/kbtin.git -b debian
Vcs-Browser: https://github.com/kilobyte/kbtin/tree/debian
Rules-Requires-Root: no

Package: kbtin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: colorized-logs
Description: tintin++ style text-based MUD client
 KBtin is a console MUD client based on the once-popular tintin++.
 It is not limited for mudding, and can be used for running line-based local
 programs like adventure, mysqlclient, dpkg-buildpackage or piuparts.
