=== debian/control ===
--- 
+++ 
@@ -2,10 +2,10 @@
 Section: text
 Priority: optional
 Maintainer: Adam Borowski <kilobyte@angband.pl>
-Build-Depends: debhelper (>= 11~), libz-dev, libglib2.0-dev (>= 2.10),
+Build-Depends: debhelper-compat (=12), libz-dev, libglib2.0-dev (>= 2.10),
  gettext, libgnutls28-dev
-Standards-Version: 4.3.0
-Homepage: http://kbtin.sourceforge.net/
+Standards-Version: 4.5.0
+Homepage: https://github.com/kilobyte/kbtin
 Vcs-Git: https://github.com/kilobyte/kbtin.git -b debian
 Vcs-Browser: https://github.com/kilobyte/kbtin/tree/debian
 Rules-Requires-Root: no
