## kbtin 1.0.22

=== debian/changelog ===
kbtin (1.0.22-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Adam Borowski <kilobyte@angband.pl>  Mon, 15 Feb 2021 00:33:20 +0100

kbtin (1.0.21-1) unstable; urgency=medium

  * New upstream release.
  * Move the watch file to GitHub.

 -- Adam Borowski <kilobyte@angband.pl>  Sat, 30 Jan 2021 09:50:07 +0100

kbtin (1.0.20-2) unstable; urgency=medium

  * Fix wrong version being displayed.
  * Fix config.rpath sometimes not being recreated.

 -- Adam Borowski <kilobyte@angband.pl>  Tue, 07 Apr 2020 19:45:53 +0200
