=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,8 @@
 
 override_dh_autoreconf:
 	touch README
-	dh_autoreconf
+	dpkg-parsechangelog -SVersion|rev|cut -d- -f2-|rev >VERSION
+	dh_autoreconf ./autogen.sh
 
 override_dh_auto_build:
 	V=y dh_auto_build
@@ -31,4 +32,5 @@
 override_dh_auto_clean:
 	rm -f tests/tests.at
 	rm -f README README.md .travis.yml
+	rm -f VERSION
 	dh_auto_clean
