## kbtin 1.0.26

=== debian/changelog ===
kbtin (1.0.26-3) unstable; urgency=medium

  * Disable the true positive test fail on ppc64el.  I have no Ubuntu
    porterbox and the bug doesn't repro on Debian.

 -- Adam Borowski <kilobyte@angband.pl>  Wed, 19 Jan 2022 20:14:41 +0100

kbtin (1.0.26-2) unstable; urgency=medium

  * Fix a crash on ppc64el (somehow reproducible on Ubuntu only).

 -- Adam Borowski <kilobyte@angband.pl>  Fri, 14 Jan 2022 00:23:57 +0100

kbtin (1.0.26-1) unstable; urgency=medium

  * New upstream release.

 -- Adam Borowski <kilobyte@angband.pl>  Thu, 06 Jan 2022 21:02:57 +0100

kbtin (1.0.25-1) unstable; urgency=medium

  * New upstream release.
  * The build system is now cmake.

 -- Adam Borowski <kilobyte@angband.pl>  Wed, 22 Dec 2021 21:59:52 +0100

kbtin (1.0.24-1) unstable; urgency=medium

  * New upstream release.
  * Drop B-Dep on gettext.

 -- Adam Borowski <kilobyte@angband.pl>  Tue, 24 Aug 2021 03:09:24 +0200

kbtin (1.0.23-1) experimental; urgency=medium

  * New upstream release.
  * Drop B-Dep on glib.
  * Drop upstream signing key.

 -- Adam Borowski <kilobyte@angband.pl>  Tue, 18 May 2021 00:22:39 +0200
