=== debian/tests/control ===
Tests: show
