## kbtin 2.0

=== debian/changelog ===
kbtin (2.0-2) unstable; urgency=medium

  * Re-disable broken-on-Ubuntu tests on ppc64el.
  * Avoid unaligned usage, fixes FTBFS on sparc64.

 -- Adam Borowski <kilobyte@angband.pl>  Sun, 19 Jun 2022 08:27:22 +0200

kbtin (2.0-1) unstable; urgency=medium

  * New upstream release.
  * New B-Deps: lib{hype,vecto}rscan, valgrind-dev.
  * Re-enable tests on ppc64el.

 -- Adam Borowski <kilobyte@angband.pl>  Fri, 17 Jun 2022 01:55:54 +0200
