=== debian/control ===
--- 
+++ 
@@ -2,7 +2,9 @@
 Section: text
 Priority: optional
 Maintainer: Adam Borowski <kilobyte@angband.pl>
-Build-Depends: debhelper-compat (=13), libz-dev, libgnutls28-dev, cmake
+Build-Depends: debhelper-compat (=13), libz-dev, libgnutls28-dev, cmake,
+	libhyperscan-dev [amd64 i386], libvectorscan-dev [arm64 ppc64el],
+	valgrind-if-available
 Standards-Version: 4.6.0
 Homepage: https://github.com/kilobyte/kbtin
 Vcs-Git: https://github.com/kilobyte/kbtin.git -b debian
