=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -21,3 +21,6 @@
 	add_test(NAME ${tn}
 		COMMAND ${CMAKE_CURRENT_SOURCE_DIR}/runtest.sh "${t}")
 endforeach()
+
+add_executable(kbitr kbitr.c)
+add_test(NAME kbtree_itr COMMAND ${CMAKE_CURRENT_BINARY_DIR}/kbitr)
