=== debian/changelog ===
kbtin (2.1-2build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 17:10:10 +1100

kbtin (2.1-2build1) noble; urgency=medium

  * No-change rebuild against libgnutls30t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 10 Mar 2024 02:06:47 +0000

kbtin (2.1-2) unstable; urgency=medium

  * Merge a bunch of fixes.
  * Don't use vectorscan on ppc64el, it's experimental/broken.

 -- Adam Borowski <kilobyte@angband.pl>  Wed, 28 Dec 2022 01:21:15 +0100

kbtin (2.1-1) unstable; urgency=medium

  * New upstream release.

 -- Adam Borowski <kilobyte@angband.pl>  Sun, 06 Nov 2022 22:54:11 +0100
