=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: kbtin
 Section: text
 Priority: optional
-Maintainer: Adam Borowski <kilobyte@angband.pl>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Adam Borowski <kilobyte@angband.pl>
 Build-Depends: debhelper-compat (=13), libz-dev, libgnutls28-dev, cmake,
-	libhyperscan-dev [amd64 i386], libvectorscan-dev [arm64 ppc64el],
+	libhyperscan-dev [amd64 i386], libvectorscan-dev [arm64],
 	valgrind-if-available
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Homepage: https://github.com/kilobyte/kbtin
 Vcs-Git: https://github.com/kilobyte/kbtin.git -b debian
 Vcs-Browser: https://github.com/kilobyte/kbtin/tree/debian
