=== debian/changelog ===
kbtin (2.3-1) unstable; urgency=medium

  * New upstream release.
  * Add ca-certificates to Recommends.
  * Temporarily disable stack-clash-protection on armhf, it does accesses
    past SP not currently allowed by valgrind.  Thanks Emanuele Rocca,
    closes: #1061076.

 -- Adam Borowski <kilobyte@angband.pl>  Thu, 18 Jan 2024 10:53:48 +0100
