=== debian/control ===
Source: kbtin
Section: text
Priority: optional
Maintainer: Adam Borowski <kilobyte@angband.pl>
Build-Depends: debhelper-compat (=13), libz-dev, libgnutls28-dev, cmake,
	libhyperscan-dev [amd64 i386], libvectorscan-dev [arm64],
	valgrind-if-available
Standards-Version: 4.7.2
Homepage: https://git.sr.ht/~kilobyte/kbtin
Vcs-Git: https://git.sr.ht/~kilobyte/kbtin.git -b debian
Vcs-Browser: https://git.sr.ht/~kilobyte/kbtin/tree/debian
Rules-Requires-Root: no

Package: kbtin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: colorized-logs, ca-certificates
Description: tintin++ style text-based MUD client
 KBtin is a console MUD client based on the once-popular tintin++.
 It is not limited for mudding, and can be used for running line-based local
 programs like adventure, mysqlclient, dpkg-buildpackage or piuparts.
